#ifndef CRATECONFIGDIALOG_H
#define CRATECONFIGDIALOG_H

#include <QDialog>
#include "LtrCrateInfo.h"
#include "LtrSrvConnection.h"
#include "ltr/include/ltr030api.h"

namespace Ui {
class CrateConfigDialog;
}

class QPushButton;

class CrateConfigDialog : public QDialog {
    Q_OBJECT
    
public:
    explicit CrateConfigDialog(LtrSrvConnection *con, LtrCrateInfo* info, QWidget *parent = 0);
    ~CrateConfigDialog();


public slots:
    virtual void done(int ret);
    virtual void accept();
private slots:
    void dataChanged(void);
    int apply(void);
private:
    Ui::CrateConfigDialog *ui;
    TLTR030 m_hnd;
    bool m_modified;
    QPushButton* m_applyBtn;
};

#endif // CRATECONFIGDIALOG_H
