#include <QtGui/QApplication>
#include "MainWindow.h"
#include <QTextCodec>
#include "QtSingleApplication/QtSingleApplication"

#include <QTranslator>
#include <QLibraryInfo>

int main(int argc, char *argv[]) {
    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("UTF-8"));
    QTextCodec::setCodecForTr(QTextCodec::codecForName("UTF-8"));

    /* Приложение ltrmanager должно быть запущено всегда одно.
     * уникальность определяем по сгенерированному GUID */
    QtSingleApplication a("e36840a0-13be-4f57-ab3a-2b601deb4645", argc, argv);

    a.setOrganizationName("L Card");
    a.setApplicationName(PRJ_APP_TITLE);
    a.setOrganizationDomain("lcard.ru");
    a.setQuitOnLastWindowClosed(false);
    a.setApplicationVersion(PRJ_VERION_STR);


    if (a.isRunning())
        return !a.sendMessage("activate");

    MainWindow w;
    QObject::connect(&a, SIGNAL(messageReceived(QString)), &w, SLOT(anotherAppMsgRecvd(QString)));

    w.show();

    return a.exec();
}
